Bug 973138 - RFE: sh & debug sh should be able to capture all output and error return code
RFE: sh & debug sh should be able to capture all output and error return code
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 07:08 EDT by Richard W.M. Jones
Modified: 2014-09-07 19:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2013-06-11 07:08:30 EDT
Description of problem:

12:00 < infernix> rwmjones: so one thing that i'm doing, for which i need that debug sh
12:00 < infernix> i'm running a custom tool and i need to capture its output and its return code
12:01 < infernix> it's a proprietary tool, statically compiled

Notice that because infernix is using a proprietary program,
adding it to the libguestfs API isn't really a good alternative.

"debug sh" -- or an additional command -- should be able to
capture all the output (even very large > 4 MB output) plus
the return code and return it all to the caller.

It's not clear if stdout and stderr should be captured separately.
This might be useful in some circumstances.

Version-Release number of selected component (if applicable):

libguestfs 1.22
Comment 1 Richard W.M. Jones 2013-07-09 04:40:03 EDT
This also happened for a user trying to do:

sh "rpm -Va"

Note You need to log in before you can comment on or make changes to this bug.